Package org.apache.sling.installer.api.info

# Interface InfoProvider

@ProviderType public interface InfoProvider
The info provider delivers information about the current state of the OSGi installer

Since:
  1.0

## Method Summary

Modifier and Type
Method
Description
`InstallationState`
`getInstallationState()`
Return the current installation state.

## Method Details

### getInstallationState

InstallationState getInstallationState()
Return the current installation state. The installation state is a snapshot of the state at method call time.

Returns:
  The installation state